Bug 170531 - plague server requires version 4.3+ of createrepo
plague server requires version 4.3+ of createrepo
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: plague (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 197612
  Show dependency treegraph
 
Reported: 2005-10-12 12:36 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-05 17:03:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2005-10-12 12:36:38 EDT
Description of problem:

After sucessful pacakge build, createrepos fails as plague server requires the
-c (checksum cache) option available in createrepos 4.3, while fc4 createrepos
is only at 4.2.

Version-Release number of selected component (if applicable):

plague-0.3.4-1.fc4
For reference: createrepo-0.4.2-2

How reproducible:

Always.

Steps to Reproduce:
1.  Install & configure plague.
2.  Build a srpm.
3.  Check log.
  
Actual results:

3 (meanwhile/i386): Build result files - [
'meanwhile-0.4.0-0.i386.rpm', 'meanwhile-0.4.0-0.src.rpm',
'build.log', 'root.log', 'meanwhile-debuginfo-0.4.0-0.i386.rpm',
'builder.log', 'mockconfig.log', 'meanwhile-devel-0.4.0-0.i386.rpm' ]
Repo 'fc3': updating repository metadata...
Error: createrepo failed with exit status 256!  Output: 'Options
Error: option -c not recognized.

   createrepo [options] directory-of-packages

   Options:
    -u, --baseurl = optional base url location for all files
    -x, --exclude = files globs to exclude, can be specified multiple times
    -q, --quiet = run quietly
    -g, --groupfile <filename> to point to for group information (precreated)
    -v, --verbose = run verbosely
    -s, --checksum = md5 or sha - select type of checksum to use (default: sha)
    -h, --help = show this help
    -V, --version = output version
    -p, --pretty = output xml files in pretty format.
   '
Repo 'fc3': Done updating.
3 (meanwhile): Job finished.

Expected results:

A (re)built repository.

Additional info:

Updating to createrepo 4.3 (from srpm at
http://linux.duke.edu/projects/metadata/generate/createrepo-0.4.3-1.src.rpm )
resolves.
Comment 1 Dan Williams 2006-02-16 00:06:38 EST
Fixed in Extras CVS, should be out with next build.  Sorry about the lag...
Comment 2 Ville Skyttä 2006-03-13 02:40:39 EST
Oops.  The createrepo version should be 0.4.3, not 4.3.

Additionally, FC-3 and FC-4 do not have a new enough createrepo available in FC
or updates to satisfy even >= 0.4.3...
Comment 3 Ville Skyttä 2006-03-22 10:27:51 EST
Dan, see comment 2, that's still an issue.  See also 
https://www.redhat.com/archives/fedora-extras-list/2006-March/msg01738.html 
 
I don't have too good suggestions how to fix it, but rolling an update for 
FC-[34] which would not ship the main package at all could be an option worth 
considering. 
Comment 4 Dan Williams 2006-03-24 14:14:04 EST
Ville,

Would updating createrepo in FC3 and FC4 be an option?  plague-server really
does require 0.4.3...  Are there incompatibilities between FC3 and FC4, like a
metadata change or anything?
Comment 5 Ville Skyttä 2006-03-24 14:26:38 EST
Unfortunately I cannot answer any of those questions.  For FC3 I think it's 
the call of the Fedora Legacy folks and for FC4 the FC createrepo maintainer. 
Comment 6 John Guthrie 2006-04-13 23:30:36 EDT
So it looks like plague-0.4.4.1 is now in the FC4 extras repository, but it is
still requiring createrepo-0.4.3, thus breaking up2date unless I put plague*
into pkgSkipList:

There was a package dependency problem. The message was:

Unresolvable chain of dependencies:
plague-0.4.4.1-1.fc4                     requires createrepo >= 0.4.3 

Are there any plans to put createrepo-0.4.3 into the FC4 update repository?  (It
wasn't there the last time that I looked.)
Comment 7 Michael Schwendt 2006-04-15 14:32:32 EDT
The difference between createrepo 0.4.2 (FC4) and 0.4.3 seems to be
the addition of the -c, --cachedir <dir> option.

The difference between createrepo 0.4.1 (FC3) and 0.4.2 are only
fixes.
Comment 8 Dan Williams 2006-04-15 17:20:00 EDT
Just got an email from Seth Vidal today saying that we can update createrepo in
FC3 and FC4 to 0.4.3, since the metadata format didn't change.  So that's what
I'll do, this issue was blocking on whether or not we could push the update.
Comment 9 Ville Skyttä 2006-05-13 03:54:06 EDT
ping?
Comment 10 Dan Williams 2006-05-13 14:14:11 EDT
Well, AFAIK we can update FC4 to the latest createrepo, but the FC3 version is
in legacy already and we can't really update that any more.  So users of plague
will have to rebuild it for <= FC3 systems.  I thought FC4 had been updated so
far, but I guess nasrat hasn't gotten around to it yet.
Comment 11 Christian Iseli 2007-01-19 18:47:00 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 12 Chris Weyl 2007-03-05 17:03:50 EST
Well, it would appear this bug has outlived itself.  With FC4 EOL, while the
problem still exists it's also moot.

Closing to get the bug off my frontpage ;)

Note You need to log in before you can comment on or make changes to this bug.